MEGAGLEST(6)

NAME
megaglest - 3D multi-player real time strategy game

DESCRIPTION
megaglest, usage

Commandline Parameter: Description: ---------------------- ------------ --help displays this help text. --autostart-lastgame Automatically starts a game with the last game

    settings you played.

--load-saved-game=x Loads the last saved game.

Where x is an optional name of the saved game file to load.
    If x is not specified we load the last game that was saved.

--auto-test=x,y,z Run in auto test mode.

Where x is an optional maximum # seconds to play.
    If x is not specified the default is 1200 seconds (20 minutes). Where y is an optional game settings file to play. If y is not specified (or is empty) then auto test cycles through playing scenarios. Where z is the word exit indicating the game should exit after the game is finished or the time runs out. If z is not specified (or is empty) then auto test continues to cycle.

--connect=x:y Auto connect to host server at IP or hostname x using port y

Shortcut version of using --connecthost and --use-ports.
    *NOTE: to automatically connect to the first LAN

    host you may use: --connect=auto-connect

--connecthost=x Auto connect to host server at IP or hostname x

*NOTE: to automatically connect to the first LAN
    host you may use: --connecthost=auto-connect

--starthost Auto create a host server. --headless-server-mode=x,x Run as a headless server.

Where x is an optional comma delimited command
    list of one or more of the following:

exit - which quits the application after a game
    has no more connected players.

vps - which does NOT read commands from the

local console (for some vps's).
    lan - which does not broadcast the hosting server

    to the masterserver (for local LAN games).

--headless-server-status Check the current status of a headless server. --use-ports=x,y,z Force hosted games to listen internally on port

x, externally on port y and game status on port z.
    Where x is the internal port # on the local

machine to listen for connects
    y is the external port # on the

router/proxy to forward connection
    from to the internal port #

z is the game status port # on the
    local machine to listen for status requests

*NOTE: If enabled the FTP Server port #'s will
    be set to x+1 to x+9

--server-title=x Set server title. --load-scenario=x Auto load a scenario by scenario name. --load-mod=x Auto load a mod by mod pathname. --preview-map=Map,Tileset Auto Preview a map by map name. (tileset is optional) --version displays the version string of this program. --opengl-info displays your video driver's OpenGL info. --sdl-info displays your SDL version information. --lua-info displays your LUA version information. --lua-debug displays LUA debug information. --curl-info displays your CURL version information. --xerces-info displays your XERCES version information. --validate-techtrees=x=purgeunused=purgeduplicates=gitdelete=hideduplicates

display a report detailing any known problems
    related to your selected techtrees game data. Where x is a comma-delimited list of techtrees

to validate.
    Where purgeunused is an optional parameter

telling the validation to delete
    extra files in the techtree that are not used.

Where purgeduplicates is an optional parameter
    telling the validation to merge duplicate files in the techtree.

Where gitdelete is an optional parameter
    telling the validation to call git rm on duplicate / unused files in the techtree.

Where hideduplicates is an optional parameter
    telling the validation to NOT SHOW duplicate files in the techtree.

*NOTE: This only applies when files are
    purged due to the above flags being set.

example:
    megaglest --validate-techtrees=megapack,vbros_pack_5

--validate-factions=x=purgeunused=purgeduplicates=hideduplicates

display a report detailing any known problems
    related to your selected factions game data. Where x is a comma-delimited list of factions

to validate.
    Where purgeunused is an optional parameter

telling the validation to delete
    extra files in the faction that are not used.

Where purgeduplicates is an optional parameter
    telling the validation to merge duplicate files in the faction.

Where hideduplicates is an optional parameter
    telling the validation to NOT SHOW duplicate files in the techtree.

*NOTE: leaving the list empty is the same as
    running: --validate-techtrees example:

    megaglest --validate-factions=tech,egypt

--validate-scenario=x=purgeunused=gitdelete

display a report detailing any known problems
    related to your selected scenario game data. Where x is a single scenario to validate. Where purgeunused is an optional parameter

telling the validation to delete extra
    files in the scenario that are not used.

example:
    megaglest --validate-scenario=stranded

--validate-tileset=x=purgeunused=gitdelete

display a report detailing any known problems
    related to your selected tileset game data. Where x is a single tileset to validate. Where purgeunused is an optional parameter

telling the validation to delete extra
    files in the tileset that are not used.

example:
    megaglest --validate-tileset=desert2

--translate-techtrees=x

Produces a default lng file for the specified techtree
    to prepare for translation into other languages. Where x is a techtree name

--list-maps=x

display a list of game content: maps
    where x is an optional name filter. example:

    megaglest --list-maps=island*

--list-techtrees=showfactions

display a list of game content: techtrees
    where showfactions is an optional parameter. to display factions in each techtree. example:

    megaglest --list-techtrees=showfactions

--list-scenarios=x

display a list of game content: scenarios
    where x is an optional name filter. example:

    megaglest --list-scenarios=beginner*

--list-tilesets=x

display a list of game content: tilesets
    where x is an optional name filter. example:

    megaglest --list-tilesets=f*

--list-tutorials=x

display a list of game content: tutorials
    where x is an optional name filter. example:

    megaglest --list-tutorials=*

--data-path=x Sets the game data path to x

example:
    megaglest --data-path=/usr/local/game_data/

--ini-path=x Sets the game ini path to x

example
    megaglest --ini-path=~/game_config/

--log-path=x Sets the game logs path to x

example:
    megaglest --log-path=~/game_logs/

--font-path=x Sets the game fonts path to x

example:
    megaglest --font-path=~/myfonts/

--show-ini-settings=x display merged ini settings information.

Where x is an optional property name to
    filter (default shows all).

example:
    megaglest --show-ini-settings=DebugMode

--convert-models=x=textureformat=keepsmallest

Convert a model file or folder to the current g3d
    version format. Where x is a filename or folder containing the g3d

model(s).
    Where textureformat is an optional supported

texture format to convert to (tga,bmp,jpg,png).
    Where keepsmallest is an optional flag indicating

to keep original texture if its filesize is
    smaller than the converted format.

    example:

    megaglest --convert-models=techs/megapack/factions/tech/units/castle/models/castle.g3d=png=keepsmallest

--use-language=x force the language to be the language specified by x.

Where x is a language filename or ISO639-1 code.
    example: megaglest --use-language=english example: megaglest --use-language=en

--show-map-crc=x show the calculated CRC for the map named x.

Where x is a map name.
    example:

    megaglest --show-map-crc=four_rivers

--show-tileset-crc=x show the calculated CRC for the tileset named x.

Where x is a tileset name.
    example:

    megaglest --show-tileset-crc=forest

--show-techtree-crc=x show the calculated CRC for the techtree named x.

Where x is a techtree name.
    example:

    megaglest --show-techtree-crc=megapack

--show-scenario-crc=x show the calculated CRC for the scenario named x.

Where x is a scenario name.
    example:

    megaglest --show-scenario-crc=storming

--show-path-crc=x=y

Show the calculated CRC for files in the path located
    in x using file filter y. Where x is a path name. and y is file(s) filter. example:

    megaglest --show-path-crc=techs/=megapack.7z

--disable-backtrace disables stack backtrace on errors. --disable-sigsegv-handler disables the sigsegv error handler. --disable-vbo disables trying to use Vertex Buffer Objects. --disable-vertex-interpolation disables interpolating animations to make them smoother. --disable-sound disables the sound system. --enable-legacyfonts enables using the legacy font system. --resolution=x override the video resolution.

Where x is a string with the following format:
    widthxheight example: megaglest --resolution=1024x768

--colorbits=x override the video colorbits.

Where x is a valid colorbits value supported by
    your video driver

    example: megaglest --colorbits=32

--depthbits=x override the video depthbits.

Where x is a valid depthbits value supported by
    your video driver

    example: megaglest --depthbits=24

--fullscreen=x override the video fullscreen mode.

Where x either true or false
    example: megaglest --fullscreen=true

--set-gamma=x override the video gamma (contrast) value.

Where x a floating point value
    example: megaglest --set-gamma=1.5

--use-font=x override the font to use.

Where x is the path and name of a font file supported
    by freetype2.

    example:

    megaglest --use-font=$APPLICATIONDATAPATH/data/core/fonts/Vera.ttf

--font-basesize=x override the font base size.

Where x is the numeric base font size to use.
    example: megaglest --font-basesize=5

--disable-videos disables video playback. --disable-opengl-checks disables opengl capability checks (for corrupt or flaky video drivers). --create-data-archives=x=y compress selected game data into archives for network sharing.

Where x is one of the following data items to compress.
    techtrees, tilesets or all. Where y = include_main to include main (non mod) data. example: megaglest --create-data-archives=all

--verbose displays verbose information in the console.

Compiled using: GNUC: 100500 [64bit] platform: NetBSD-X64 endianness: little GIT: [Rev: $5604.3a5d459$] - using STREFLOP [SSE] - [no-denormals]